<div class="bg-main">
  <h1 class="text-center fw-bolder fst-italic text-uppercase animate__animated animate__fadeInLeft text-dark bg-light bg-opacity-50 py-4 display-5">
    {{ title }}
  </h1>
  <div class="row mt-5">
    <hr class="text-light">
    <div class="col-md-12">
      <form (ngSubmit)="saveComment(f)" #f="ngForm"
            class="row justify-content-center mt-3 animate__animated animate__fadeInLeft">
        <div class="rounded col-lg-4 pt-4 pb-3 bg-dark">
          <div class="mb-3 px-3 text-light">
            <label class="form-label fw-bolder"
                   [class.text-danger]="name.invalid && name.touched">Nombre
            </label>
            <input type="text"
                   class="form-control"
                   placeholder="Nombre de contacto"
                   name="name"
                   required
                   minlength="5"
                   maxlength="20"
                   [(ngModel)]="commentModule.name"
                   #name="ngModel"
                   [class.is-invalid]="name.invalid && name.touched"
                   [class.is-valid]="name.valid">
            <div *ngIf="name.invalid && name.touched" class="text-danger my-1">La cantidad mínima es de 5 letras</div>
          </div>
          <div class="mb-3 px-3 text-light">
            <label for="exampleFormControlTextarea1"
                   class="form-label fw-bolder"
                   [class.text-danger]="comment.invalid && comment.touched">Deje su comentario
            </label>
            <textarea class="form-control"
                      id="exampleFormControlTextarea1"
                      rows="4"
                      required
                      minlength="15"
                      name="comment"
                      [(ngModel)]="commentModule.comment"
                      #comment="ngModel"
                      [class.is-invalid]="comment.invalid && comment.touched"
                      [class.is-valid]="comment.valid">
              </textarea>
            <div *ngIf="comment.invalid && comment.touched" class="text-danger my-1">La cantidad mínima es de 15 letras</div>
          </div>
          <button type="submit" class="btn btn-success float-end py-2 px-3 m-3 fw-bolder">
            <i class="bi bi-check-circle"></i> Enviar
          </button>
        </div>
      </form>
    </div>
  </div>
  <div class="row justify-content-center mt-5 pb-5 mx-3">
    <div *ngFor="let comments of commentsModules,let i = index" class="col-md-3 border-5 mt-3">
      <div *ngIf="i <= 7">
        <span class="input-group-text fw-bold bg-warning">Nombre: {{ comments.name }}</span>
        <div class="bg-light p-2">
          {{ comments.comment }}
        </div>
      </div>
      <div *ngIf="comments === commentsModules[0]"></div>
      <div *ngIf="loading" class="alert alert-info text-center mt-3 animate__animated animate__bounceIn">
        <h4 class="alert-heading">Cargando comentarios</h4>
        <span class="spinner-border"></span>
        <p class="mb-0">
          Espere por favor...
        </p>
      </div>
    </div>
  </div>
</div>
